⭐ If you find Zipline useful, please consider giving it a star on Github! ⭐

/api/server/public

Return the public Zipline configuration used by the client, including OAuth, website, feature, file and chunk settings.

GET/api/server/public

Response Body

application/json

application/json

{
  "oauth": {
    "bypassLocalLogin": true,
    "loginOnly": true
  },
  "oauthEnabled": {
    "discord": true,
    "github": true,
    "google": true,
    "oidc": true
  },
  "website": {
    "loginBackground": "string",
    "loginBackgroundBlur": true,
    "title": "string",
    "tos": true
  },
  "features": {
    "oauthRegistration": true,
    "userRegistration": true,
    "metrics": {
      "adminOnly": true
    }
  },
  "mfa": {
    "passkeys": true
  },
  "tos": "string",
  "files": {
    "maxFileSize": "string",
    "defaultFormat": "random",
    "maxExpiration": "string"
  },
  "chunks": {
    "max": "95mb",
    "size": "25mb",
    "enabled": true
  },
  "firstSetup": true,
  "domains": [
    "string"
  ],
  "returnHttps": true
}

{
  "error": "E1000: Invalid request schema",
  "code": 1000,
  "statusCode": 400
}